### Function

# GObject source_set_dummy_callback

#### Declaration

    void
    g_source_set_dummy_callback (
      GSource* source
    )

#### Description

Sets a dummy callback for `source`. The callback will do nothing, and if the source expects a #gboolean return value, it will return `TRUE`. (If the source expects any other type of return value, it will return a 0/`NULL` value; whatever `g_value_init()` initializes a `GValue` to for that type.)

If the source is not one of the standard GLib types, the `closure_callback` and `closure_marshal` fields of the `GSourceFuncs` structure must have been filled in with pointers to appropriate functions.

#### Parameters

`source`

  Type: `GSource`

  The source.

  The data is owned by the caller of the function.